#
# spec file for package python-zeroconf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zeroconf
Version:        0.17.6
Release:        3.1
Summary:        Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)
License:        LGPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/jstasiak/python-zeroconf
Source:         https://pypi.io/packages/source/z/zeroconf/zeroconf-%{version}.tar.gz
# PATCH-FIX-OPENSUSE python-zeroconf-0.17.4-enum34-instead-of-enum-compat.patch -- replace enum-compat by enum34 (picked from Debian)
Patch:          python-zeroconf-0.17.4-enum34-instead-of-enum-compat.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-enum34
Requires:       python-netifaces
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
This is a fork of pyzeroconf, a Multicast DNS Service Discovery for Python.
It is compatible with Bonjour and Avahi.
Compared to some other Zeroconf/Bonjour/Avahi Python packages, python-zeroconf
is not tied to Bonjour or Avahi, does not use D-Bus and
does not force you to use a particular event loop or python-twisted.

%prep
%setup -q -n zeroconf-%{version}
%patch -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Dec 28 2016 jengelh@inai.de
- Improve write style of description
* Wed Dec 28 2016 tbechtold@suse.com
- Use pypi.io as Source
* Sun Jul 17 2016 antoine.belvire@laposte.net
- Update to 0.17.6:
  * Many improvements to address race conditions and exceptions
    during ZC() startup and shutdown, thanks to: morpav, veawor,
    justingiorgi, herczy, stephenrauch
  * Added more test coverage: strahlex, stephenrauch
  * Stephen Rauch contributed:
    + Speed up browser startup
    + Add ZeroconfServiceTypes() query class to discover all
    advertised service types
    + Add full validation for service names, types and subtypes
    + Fix for subtype browsing
    + Fix DNSHInfo support
* Wed Mar 16 2016 antoine.belvire@laposte.net
- Fix build on SLE 11: avoid BuildArch noarch.
* Wed Mar 16 2016 antoine.belvire@laposte.net
- Update to 0.17.5:
  * Fix OpenBSD compatibility, thanks to Alessio Sergi
  * Fix race condition on ServiceBrowser startup, thanks to
    gbiddison
  * Fix installation on some Python 3 systems, thanks to Per
    Sandström
  * Fixed "size change during iteration" bug on Python 3, thanks to
    gbiddison
* Thu Mar 10 2016 antoine.belvire@laposte.net
- New package: python-zeroconf-0.17.4
- Add python-zeroconf-0.17.4-enum34-instead-of-enum-compat.patch:
  there is no need for a virtual python-enum-compat package here.
